package com.platform.modules.live.service;

import com.aliyuncs.exceptions.ClientException;
import com.platform.common.utils.R;
import com.platform.modules.live.dto.TranscodingTaskDto;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;

/**
 * @Description:
 * @Author: yikaihong
 * @CreateDate: 2019/1/28 17:44
 * @Version: 1.0
 */
public interface TranscodingTaskService {
    R submit(TranscodingTaskDto dto);

    R cancel(String taskId);

    R query(String taskId);

    R queryTask(String taskId);

    R upload(MultipartFile file);

    R token(String appKey, String appSecret);

    R saveTranscodingMessage(HttpServletRequest request);
}